commit:     f4787d5b384c142363f8acc2f027305f7f2bb3df
Author:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 16 17:50:12 2017 +0000
Commit:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Sun Jul 16 17:50:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4787d5b

games-engines/renpy: migrate from the games eclass

and update to EAPI 6

Package-Manager: Portage-2.3.6, Repoman-2.3.2
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>

 games-engines/renpy/renpy-6.99.12.4-r2.ebuild | 108 ++++++++++++++++++++++++++
 1 file changed, 108 insertions(+)

diff --git a/games-engines/renpy/renpy-6.99.12.4-r2.ebuild 
b/games-engines/renpy/renpy-6.99.12.4-r2.ebuild
new file mode 100644
index 00000000000..6c4f3fcb6b2
--- /dev/null
+++ b/games-engines/renpy/renpy-6.99.12.4-r2.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit eutils gnome2-utils toolchain-funcs versionator distutils-r1
+
+DESCRIPTION="Visual novel engine written in python"
+HOMEPAGE="http://www.renpy.org";
+SRC_URI="http://www.renpy.org/dl/${PV}/${P}-source.tar.bz2";
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+MYSLOT=$(delete_all_version_separators ${SLOT})
+KEYWORDS="~amd64 ~x86"
+IUSE="development doc examples"
+REQUIRED_USE="examples? ( development )"
+
+RDEPEND="
+       >=app-eselect/eselect-renpy-0.7
+       dev-libs/fribidi
+       ~dev-python/pygame_sdl2-${PV}[${PYTHON_USEDEP}]
+       >=dev-lang/python-exec-0.3[${PYTHON_USEDEP}]
+       !<games-engines/renpy-6.99.12-r2
+       media-libs/glew:0
+       media-libs/libpng:0
+       media-libs/libsdl2[video]
+       media-libs/freetype:2
+       sys-libs/zlib
+       virtual/ffmpeg"
+DEPEND="${RDEPEND}
+       dev-python/cython[${PYTHON_USEDEP}]
+       virtual/pkgconfig"
+
+S=${WORKDIR}/${P}-source
+
+PATCHES=(
+       "${FILESDIR}"/${P}-multiple-abi.patch
+       "${FILESDIR}"/${P}-compat-window.patch #601200
+       "${FILESDIR}"/${P}-compat-style.patch
+)
+
+python_prepare_all() {
+       export CFLAGS="${CFLAGS} $($(tc-getPKG_CONFIG) --cflags fribidi)"
+       distutils-r1_python_prepare_all
+
+       einfo "Deleting precompiled python files"
+       find . -name '*.py[co]' -print -delete || die
+
+       sed -i \
+               -e "s/@SLOT@/${MYSLOT}/" \
+               renpy.py renpy/common.py || die "setting slot failed!"
+}
+
+python_compile() {
+       cd "${S}"/module || die
+       distutils-r1_python_compile
+}
+
+python_install() {
+       cd "${S}"/module || die
+       distutils-r1_python_install 
--install-lib="$(python_get_sitedir)/renpy${MYSLOT}"
+
+       cd "${S}" || die
+       python_newscript renpy.py ${PN}-${SLOT}
+
+       python_moduleinto renpy${MYSLOT}
+       python_domodule renpy
+       if use development ; then
+               python_domodule launcher templates
+       fi
+       if use examples ; then
+               python_domodule the_question tutorial
+       fi
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       if use development; then
+               newicon -s 32 launcher/game/images/logo32.png ${P}.png
+               make_desktop_entry ${PN}-${SLOT} "Ren'Py ${PV}" ${P}
+       fi
+
+       if use doc; then
+               insinto html
+               doins -r doc
+       fi
+       newman "${FILESDIR}/${PN}.1" "${P}.1"
+}
+
+pkg_preinst() {
+       use development && gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       use development && gnome2_icon_cache_update
+
+       einfo "running: eselect renpy update --if-unset"
+       eselect renpy update --if-unset
+}
+
+pkg_postrm() {
+       use development && gnome2_icon_cache_update
+
+       einfo "running: eselect renpy update --if-unset"
+       eselect renpy update --if-unset
+}

Reply via email to